Skip to main content
Import / Export

Read values for a single record

Read values for a single record.

GET
/gb/record/read-record

This method requires the Record:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
table_namestringqueryrequired
table_key_fieldsstring[]queryrequired

Name of table key field(s) to use in read record query.

Minimum array length: 1
table_key_valuesstring[]queryrequired

Value of table key field(s) to use in read record query.

Minimum array length: 1
fieldsstring[]query

Define fields required. If no fields are specified then all fields are returned.

Response

application/vnd.catch-e-api.v1+json

Success

bodyobject